/*******************************************************************************
* File Name: cyfittergnu.inc
* 
* PSoC Creator  4.4
*
* Description:
* 
* This file is automatically generated by PSoC Creator.
*
********************************************************************************
* Copyright (c) 2007-2020 Cypress Semiconductor.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

.ifndef INCLUDED_CYFITTERGNU_INC
.set INCLUDED_CYFITTERGNU_INC, 1
.include "cydevicegnu_trm.inc"

/* UART */
.set UART_tx__0__DM__MASK, 0x38
.set UART_tx__0__DM__SHIFT, 3
.set UART_tx__0__DR, CYREG_PRT3_DR
.set UART_tx__0__HSIOM, CYREG_HSIOM_PORT_SEL3
.set UART_tx__0__HSIOM_MASK, 0x000000F0
.set UART_tx__0__HSIOM_SHIFT, 4
.set UART_tx__0__INTCFG, CYREG_PRT3_INTCFG
.set UART_tx__0__INTSTAT, CYREG_PRT3_INTSTAT
.set UART_tx__0__MASK, 0x02
.set UART_tx__0__PA__CFG0, CYREG_UDB_PA3_CFG0
.set UART_tx__0__PA__CFG1, CYREG_UDB_PA3_CFG1
.set UART_tx__0__PA__CFG10, CYREG_UDB_PA3_CFG10
.set UART_tx__0__PA__CFG11, CYREG_UDB_PA3_CFG11
.set UART_tx__0__PA__CFG12, CYREG_UDB_PA3_CFG12
.set UART_tx__0__PA__CFG13, CYREG_UDB_PA3_CFG13
.set UART_tx__0__PA__CFG14, CYREG_UDB_PA3_CFG14
.set UART_tx__0__PA__CFG2, CYREG_UDB_PA3_CFG2
.set UART_tx__0__PA__CFG3, CYREG_UDB_PA3_CFG3
.set UART_tx__0__PA__CFG4, CYREG_UDB_PA3_CFG4
.set UART_tx__0__PA__CFG5, CYREG_UDB_PA3_CFG5
.set UART_tx__0__PA__CFG6, CYREG_UDB_PA3_CFG6
.set UART_tx__0__PA__CFG7, CYREG_UDB_PA3_CFG7
.set UART_tx__0__PA__CFG8, CYREG_UDB_PA3_CFG8
.set UART_tx__0__PA__CFG9, CYREG_UDB_PA3_CFG9
.set UART_tx__0__PC, CYREG_PRT3_PC
.set UART_tx__0__PC2, CYREG_PRT3_PC2
.set UART_tx__0__PORT, 3
.set UART_tx__0__PS, CYREG_PRT3_PS
.set UART_tx__0__SHIFT, 1
.set UART_tx__DR, CYREG_PRT3_DR
.set UART_tx__INTCFG, CYREG_PRT3_INTCFG
.set UART_tx__INTSTAT, CYREG_PRT3_INTSTAT
.set UART_tx__MASK, 0x02
.set UART_tx__PA__CFG0, CYREG_UDB_PA3_CFG0
.set UART_tx__PA__CFG1, CYREG_UDB_PA3_CFG1
.set UART_tx__PA__CFG10, CYREG_UDB_PA3_CFG10
.set UART_tx__PA__CFG11, CYREG_UDB_PA3_CFG11
.set UART_tx__PA__CFG12, CYREG_UDB_PA3_CFG12
.set UART_tx__PA__CFG13, CYREG_UDB_PA3_CFG13
.set UART_tx__PA__CFG14, CYREG_UDB_PA3_CFG14
.set UART_tx__PA__CFG2, CYREG_UDB_PA3_CFG2
.set UART_tx__PA__CFG3, CYREG_UDB_PA3_CFG3
.set UART_tx__PA__CFG4, CYREG_UDB_PA3_CFG4
.set UART_tx__PA__CFG5, CYREG_UDB_PA3_CFG5
.set UART_tx__PA__CFG6, CYREG_UDB_PA3_CFG6
.set UART_tx__PA__CFG7, CYREG_UDB_PA3_CFG7
.set UART_tx__PA__CFG8, CYREG_UDB_PA3_CFG8
.set UART_tx__PA__CFG9, CYREG_UDB_PA3_CFG9
.set UART_tx__PC, CYREG_PRT3_PC
.set UART_tx__PC2, CYREG_PRT3_PC2
.set UART_tx__PORT, 3
.set UART_tx__PS, CYREG_PRT3_PS
.set UART_tx__SHIFT, 1

/* Flex1 */
.set Flex1__0__DM__MASK, 0x1C0000
.set Flex1__0__DM__SHIFT, 18
.set Flex1__0__DR, CYREG_PRT2_DR
.set Flex1__0__HSIOM, CYREG_HSIOM_PORT_SEL2
.set Flex1__0__HSIOM_MASK, 0x0F000000
.set Flex1__0__HSIOM_SHIFT, 24
.set Flex1__0__INTCFG, CYREG_PRT2_INTCFG
.set Flex1__0__INTSTAT, CYREG_PRT2_INTSTAT
.set Flex1__0__MASK, 0x40
.set Flex1__0__PA__CFG0, CYREG_UDB_PA2_CFG0
.set Flex1__0__PA__CFG1, CYREG_UDB_PA2_CFG1
.set Flex1__0__PA__CFG10, CYREG_UDB_PA2_CFG10
.set Flex1__0__PA__CFG11, CYREG_UDB_PA2_CFG11
.set Flex1__0__PA__CFG12, CYREG_UDB_PA2_CFG12
.set Flex1__0__PA__CFG13, CYREG_UDB_PA2_CFG13
.set Flex1__0__PA__CFG14, CYREG_UDB_PA2_CFG14
.set Flex1__0__PA__CFG2, CYREG_UDB_PA2_CFG2
.set Flex1__0__PA__CFG3, CYREG_UDB_PA2_CFG3
.set Flex1__0__PA__CFG4, CYREG_UDB_PA2_CFG4
.set Flex1__0__PA__CFG5, CYREG_UDB_PA2_CFG5
.set Flex1__0__PA__CFG6, CYREG_UDB_PA2_CFG6
.set Flex1__0__PA__CFG7, CYREG_UDB_PA2_CFG7
.set Flex1__0__PA__CFG8, CYREG_UDB_PA2_CFG8
.set Flex1__0__PA__CFG9, CYREG_UDB_PA2_CFG9
.set Flex1__0__PC, CYREG_PRT2_PC
.set Flex1__0__PC2, CYREG_PRT2_PC2
.set Flex1__0__PORT, 2
.set Flex1__0__PS, CYREG_PRT2_PS
.set Flex1__0__SHIFT, 6
.set Flex1__DR, CYREG_PRT2_DR
.set Flex1__INTCFG, CYREG_PRT2_INTCFG
.set Flex1__INTSTAT, CYREG_PRT2_INTSTAT
.set Flex1__MASK, 0x40
.set Flex1__PA__CFG0, CYREG_UDB_PA2_CFG0
.set Flex1__PA__CFG1, CYREG_UDB_PA2_CFG1
.set Flex1__PA__CFG10, CYREG_UDB_PA2_CFG10
.set Flex1__PA__CFG11, CYREG_UDB_PA2_CFG11
.set Flex1__PA__CFG12, CYREG_UDB_PA2_CFG12
.set Flex1__PA__CFG13, CYREG_UDB_PA2_CFG13
.set Flex1__PA__CFG14, CYREG_UDB_PA2_CFG14
.set Flex1__PA__CFG2, CYREG_UDB_PA2_CFG2
.set Flex1__PA__CFG3, CYREG_UDB_PA2_CFG3
.set Flex1__PA__CFG4, CYREG_UDB_PA2_CFG4
.set Flex1__PA__CFG5, CYREG_UDB_PA2_CFG5
.set Flex1__PA__CFG6, CYREG_UDB_PA2_CFG6
.set Flex1__PA__CFG7, CYREG_UDB_PA2_CFG7
.set Flex1__PA__CFG8, CYREG_UDB_PA2_CFG8
.set Flex1__PA__CFG9, CYREG_UDB_PA2_CFG9
.set Flex1__PC, CYREG_PRT2_PC
.set Flex1__PC2, CYREG_PRT2_PC2
.set Flex1__PORT, 2
.set Flex1__PS, CYREG_PRT2_PS
.set Flex1__SHIFT, 6

/* Flex2 */
.set Flex2__0__DM__MASK, 0xE00000
.set Flex2__0__DM__SHIFT, 21
.set Flex2__0__DR, CYREG_PRT2_DR
.set Flex2__0__HSIOM, CYREG_HSIOM_PORT_SEL2
.set Flex2__0__HSIOM_MASK, 0xF0000000
.set Flex2__0__HSIOM_SHIFT, 28
.set Flex2__0__INTCFG, CYREG_PRT2_INTCFG
.set Flex2__0__INTSTAT, CYREG_PRT2_INTSTAT
.set Flex2__0__MASK, 0x80
.set Flex2__0__PA__CFG0, CYREG_UDB_PA2_CFG0
.set Flex2__0__PA__CFG1, CYREG_UDB_PA2_CFG1
.set Flex2__0__PA__CFG10, CYREG_UDB_PA2_CFG10
.set Flex2__0__PA__CFG11, CYREG_UDB_PA2_CFG11
.set Flex2__0__PA__CFG12, CYREG_UDB_PA2_CFG12
.set Flex2__0__PA__CFG13, CYREG_UDB_PA2_CFG13
.set Flex2__0__PA__CFG14, CYREG_UDB_PA2_CFG14
.set Flex2__0__PA__CFG2, CYREG_UDB_PA2_CFG2
.set Flex2__0__PA__CFG3, CYREG_UDB_PA2_CFG3
.set Flex2__0__PA__CFG4, CYREG_UDB_PA2_CFG4
.set Flex2__0__PA__CFG5, CYREG_UDB_PA2_CFG5
.set Flex2__0__PA__CFG6, CYREG_UDB_PA2_CFG6
.set Flex2__0__PA__CFG7, CYREG_UDB_PA2_CFG7
.set Flex2__0__PA__CFG8, CYREG_UDB_PA2_CFG8
.set Flex2__0__PA__CFG9, CYREG_UDB_PA2_CFG9
.set Flex2__0__PC, CYREG_PRT2_PC
.set Flex2__0__PC2, CYREG_PRT2_PC2
.set Flex2__0__PORT, 2
.set Flex2__0__PS, CYREG_PRT2_PS
.set Flex2__0__SHIFT, 7
.set Flex2__DR, CYREG_PRT2_DR
.set Flex2__INTCFG, CYREG_PRT2_INTCFG
.set Flex2__INTSTAT, CYREG_PRT2_INTSTAT
.set Flex2__MASK, 0x80
.set Flex2__PA__CFG0, CYREG_UDB_PA2_CFG0
.set Flex2__PA__CFG1, CYREG_UDB_PA2_CFG1
.set Flex2__PA__CFG10, CYREG_UDB_PA2_CFG10
.set Flex2__PA__CFG11, CYREG_UDB_PA2_CFG11
.set Flex2__PA__CFG12, CYREG_UDB_PA2_CFG12
.set Flex2__PA__CFG13, CYREG_UDB_PA2_CFG13
.set Flex2__PA__CFG14, CYREG_UDB_PA2_CFG14
.set Flex2__PA__CFG2, CYREG_UDB_PA2_CFG2
.set Flex2__PA__CFG3, CYREG_UDB_PA2_CFG3
.set Flex2__PA__CFG4, CYREG_UDB_PA2_CFG4
.set Flex2__PA__CFG5, CYREG_UDB_PA2_CFG5
.set Flex2__PA__CFG6, CYREG_UDB_PA2_CFG6
.set Flex2__PA__CFG7, CYREG_UDB_PA2_CFG7
.set Flex2__PA__CFG8, CYREG_UDB_PA2_CFG8
.set Flex2__PA__CFG9, CYREG_UDB_PA2_CFG9
.set Flex2__PC, CYREG_PRT2_PC
.set Flex2__PC2, CYREG_PRT2_PC2
.set Flex2__PORT, 2
.set Flex2__PS, CYREG_PRT2_PS
.set Flex2__SHIFT, 7

/* Flex3 */
.set Flex3__0__DM__MASK, 0x38000
.set Flex3__0__DM__SHIFT, 15
.set Flex3__0__DR, CYREG_PRT2_DR
.set Flex3__0__HSIOM, CYREG_HSIOM_PORT_SEL2
.set Flex3__0__HSIOM_MASK, 0x00F00000
.set Flex3__0__HSIOM_SHIFT, 20
.set Flex3__0__INTCFG, CYREG_PRT2_INTCFG
.set Flex3__0__INTSTAT, CYREG_PRT2_INTSTAT
.set Flex3__0__MASK, 0x20
.set Flex3__0__PA__CFG0, CYREG_UDB_PA2_CFG0
.set Flex3__0__PA__CFG1, CYREG_UDB_PA2_CFG1
.set Flex3__0__PA__CFG10, CYREG_UDB_PA2_CFG10
.set Flex3__0__PA__CFG11, CYREG_UDB_PA2_CFG11
.set Flex3__0__PA__CFG12, CYREG_UDB_PA2_CFG12
.set Flex3__0__PA__CFG13, CYREG_UDB_PA2_CFG13
.set Flex3__0__PA__CFG14, CYREG_UDB_PA2_CFG14
.set Flex3__0__PA__CFG2, CYREG_UDB_PA2_CFG2
.set Flex3__0__PA__CFG3, CYREG_UDB_PA2_CFG3
.set Flex3__0__PA__CFG4, CYREG_UDB_PA2_CFG4
.set Flex3__0__PA__CFG5, CYREG_UDB_PA2_CFG5
.set Flex3__0__PA__CFG6, CYREG_UDB_PA2_CFG6
.set Flex3__0__PA__CFG7, CYREG_UDB_PA2_CFG7
.set Flex3__0__PA__CFG8, CYREG_UDB_PA2_CFG8
.set Flex3__0__PA__CFG9, CYREG_UDB_PA2_CFG9
.set Flex3__0__PC, CYREG_PRT2_PC
.set Flex3__0__PC2, CYREG_PRT2_PC2
.set Flex3__0__PORT, 2
.set Flex3__0__PS, CYREG_PRT2_PS
.set Flex3__0__SHIFT, 5
.set Flex3__DR, CYREG_PRT2_DR
.set Flex3__INTCFG, CYREG_PRT2_INTCFG
.set Flex3__INTSTAT, CYREG_PRT2_INTSTAT
.set Flex3__MASK, 0x20
.set Flex3__PA__CFG0, CYREG_UDB_PA2_CFG0
.set Flex3__PA__CFG1, CYREG_UDB_PA2_CFG1
.set Flex3__PA__CFG10, CYREG_UDB_PA2_CFG10
.set Flex3__PA__CFG11, CYREG_UDB_PA2_CFG11
.set Flex3__PA__CFG12, CYREG_UDB_PA2_CFG12
.set Flex3__PA__CFG13, CYREG_UDB_PA2_CFG13
.set Flex3__PA__CFG14, CYREG_UDB_PA2_CFG14
.set Flex3__PA__CFG2, CYREG_UDB_PA2_CFG2
.set Flex3__PA__CFG3, CYREG_UDB_PA2_CFG3
.set Flex3__PA__CFG4, CYREG_UDB_PA2_CFG4
.set Flex3__PA__CFG5, CYREG_UDB_PA2_CFG5
.set Flex3__PA__CFG6, CYREG_UDB_PA2_CFG6
.set Flex3__PA__CFG7, CYREG_UDB_PA2_CFG7
.set Flex3__PA__CFG8, CYREG_UDB_PA2_CFG8
.set Flex3__PA__CFG9, CYREG_UDB_PA2_CFG9
.set Flex3__PC, CYREG_PRT2_PC
.set Flex3__PC2, CYREG_PRT2_PC2
.set Flex3__PORT, 2
.set Flex3__PS, CYREG_PRT2_PS
.set Flex3__SHIFT, 5

/* Flex4 */
.set Flex4__0__DM__MASK, 0x7000
.set Flex4__0__DM__SHIFT, 12
.set Flex4__0__DR, CYREG_PRT2_DR
.set Flex4__0__HSIOM, CYREG_HSIOM_PORT_SEL2
.set Flex4__0__HSIOM_MASK, 0x000F0000
.set Flex4__0__HSIOM_SHIFT, 16
.set Flex4__0__INTCFG, CYREG_PRT2_INTCFG
.set Flex4__0__INTSTAT, CYREG_PRT2_INTSTAT
.set Flex4__0__MASK, 0x10
.set Flex4__0__PA__CFG0, CYREG_UDB_PA2_CFG0
.set Flex4__0__PA__CFG1, CYREG_UDB_PA2_CFG1
.set Flex4__0__PA__CFG10, CYREG_UDB_PA2_CFG10
.set Flex4__0__PA__CFG11, CYREG_UDB_PA2_CFG11
.set Flex4__0__PA__CFG12, CYREG_UDB_PA2_CFG12
.set Flex4__0__PA__CFG13, CYREG_UDB_PA2_CFG13
.set Flex4__0__PA__CFG14, CYREG_UDB_PA2_CFG14
.set Flex4__0__PA__CFG2, CYREG_UDB_PA2_CFG2
.set Flex4__0__PA__CFG3, CYREG_UDB_PA2_CFG3
.set Flex4__0__PA__CFG4, CYREG_UDB_PA2_CFG4
.set Flex4__0__PA__CFG5, CYREG_UDB_PA2_CFG5
.set Flex4__0__PA__CFG6, CYREG_UDB_PA2_CFG6
.set Flex4__0__PA__CFG7, CYREG_UDB_PA2_CFG7
.set Flex4__0__PA__CFG8, CYREG_UDB_PA2_CFG8
.set Flex4__0__PA__CFG9, CYREG_UDB_PA2_CFG9
.set Flex4__0__PC, CYREG_PRT2_PC
.set Flex4__0__PC2, CYREG_PRT2_PC2
.set Flex4__0__PORT, 2
.set Flex4__0__PS, CYREG_PRT2_PS
.set Flex4__0__SHIFT, 4
.set Flex4__DR, CYREG_PRT2_DR
.set Flex4__INTCFG, CYREG_PRT2_INTCFG
.set Flex4__INTSTAT, CYREG_PRT2_INTSTAT
.set Flex4__MASK, 0x10
.set Flex4__PA__CFG0, CYREG_UDB_PA2_CFG0
.set Flex4__PA__CFG1, CYREG_UDB_PA2_CFG1
.set Flex4__PA__CFG10, CYREG_UDB_PA2_CFG10
.set Flex4__PA__CFG11, CYREG_UDB_PA2_CFG11
.set Flex4__PA__CFG12, CYREG_UDB_PA2_CFG12
.set Flex4__PA__CFG13, CYREG_UDB_PA2_CFG13
.set Flex4__PA__CFG14, CYREG_UDB_PA2_CFG14
.set Flex4__PA__CFG2, CYREG_UDB_PA2_CFG2
.set Flex4__PA__CFG3, CYREG_UDB_PA2_CFG3
.set Flex4__PA__CFG4, CYREG_UDB_PA2_CFG4
.set Flex4__PA__CFG5, CYREG_UDB_PA2_CFG5
.set Flex4__PA__CFG6, CYREG_UDB_PA2_CFG6
.set Flex4__PA__CFG7, CYREG_UDB_PA2_CFG7
.set Flex4__PA__CFG8, CYREG_UDB_PA2_CFG8
.set Flex4__PA__CFG9, CYREG_UDB_PA2_CFG9
.set Flex4__PC, CYREG_PRT2_PC
.set Flex4__PC2, CYREG_PRT2_PC2
.set Flex4__PORT, 2
.set Flex4__PS, CYREG_PRT2_PS
.set Flex4__SHIFT, 4

/* Flex5 */
.set Flex5__0__DM__MASK, 0x07
.set Flex5__0__DM__SHIFT, 0
.set Flex5__0__DR, CYREG_PRT0_DR
.set Flex5__0__HSIOM, CYREG_HSIOM_PORT_SEL0
.set Flex5__0__HSIOM_MASK, 0x0000000F
.set Flex5__0__HSIOM_SHIFT, 0
.set Flex5__0__INTCFG, CYREG_PRT0_INTCFG
.set Flex5__0__INTSTAT, CYREG_PRT0_INTSTAT
.set Flex5__0__MASK, 0x01
.set Flex5__0__OUT_SEL, CYREG_UDB_PA0_CFG10
.set Flex5__0__OUT_SEL_SHIFT, 0
.set Flex5__0__OUT_SEL_VAL, 1
.set Flex5__0__PA__CFG0, CYREG_UDB_PA0_CFG0
.set Flex5__0__PA__CFG1, CYREG_UDB_PA0_CFG1
.set Flex5__0__PA__CFG10, CYREG_UDB_PA0_CFG10
.set Flex5__0__PA__CFG11, CYREG_UDB_PA0_CFG11
.set Flex5__0__PA__CFG12, CYREG_UDB_PA0_CFG12
.set Flex5__0__PA__CFG13, CYREG_UDB_PA0_CFG13
.set Flex5__0__PA__CFG14, CYREG_UDB_PA0_CFG14
.set Flex5__0__PA__CFG2, CYREG_UDB_PA0_CFG2
.set Flex5__0__PA__CFG3, CYREG_UDB_PA0_CFG3
.set Flex5__0__PA__CFG4, CYREG_UDB_PA0_CFG4
.set Flex5__0__PA__CFG5, CYREG_UDB_PA0_CFG5
.set Flex5__0__PA__CFG6, CYREG_UDB_PA0_CFG6
.set Flex5__0__PA__CFG7, CYREG_UDB_PA0_CFG7
.set Flex5__0__PA__CFG8, CYREG_UDB_PA0_CFG8
.set Flex5__0__PA__CFG9, CYREG_UDB_PA0_CFG9
.set Flex5__0__PC, CYREG_PRT0_PC
.set Flex5__0__PC2, CYREG_PRT0_PC2
.set Flex5__0__PORT, 0
.set Flex5__0__PS, CYREG_PRT0_PS
.set Flex5__0__SHIFT, 0
.set Flex5__DR, CYREG_PRT0_DR
.set Flex5__INTCFG, CYREG_PRT0_INTCFG
.set Flex5__INTSTAT, CYREG_PRT0_INTSTAT
.set Flex5__MASK, 0x01
.set Flex5__PA__CFG0, CYREG_UDB_PA0_CFG0
.set Flex5__PA__CFG1, CYREG_UDB_PA0_CFG1
.set Flex5__PA__CFG10, CYREG_UDB_PA0_CFG10
.set Flex5__PA__CFG11, CYREG_UDB_PA0_CFG11
.set Flex5__PA__CFG12, CYREG_UDB_PA0_CFG12
.set Flex5__PA__CFG13, CYREG_UDB_PA0_CFG13
.set Flex5__PA__CFG14, CYREG_UDB_PA0_CFG14
.set Flex5__PA__CFG2, CYREG_UDB_PA0_CFG2
.set Flex5__PA__CFG3, CYREG_UDB_PA0_CFG3
.set Flex5__PA__CFG4, CYREG_UDB_PA0_CFG4
.set Flex5__PA__CFG5, CYREG_UDB_PA0_CFG5
.set Flex5__PA__CFG6, CYREG_UDB_PA0_CFG6
.set Flex5__PA__CFG7, CYREG_UDB_PA0_CFG7
.set Flex5__PA__CFG8, CYREG_UDB_PA0_CFG8
.set Flex5__PA__CFG9, CYREG_UDB_PA0_CFG9
.set Flex5__PC, CYREG_PRT0_PC
.set Flex5__PC2, CYREG_PRT0_PC2
.set Flex5__PORT, 0
.set Flex5__PS, CYREG_PRT0_PS
.set Flex5__SHIFT, 0

/* Flex6 */
.set Flex6__0__DM__MASK, 0x38
.set Flex6__0__DM__SHIFT, 3
.set Flex6__0__DR, CYREG_PRT1_DR
.set Flex6__0__HSIOM, CYREG_HSIOM_PORT_SEL1
.set Flex6__0__HSIOM_MASK, 0x000000F0
.set Flex6__0__HSIOM_SHIFT, 4
.set Flex6__0__INTCFG, CYREG_PRT1_INTCFG
.set Flex6__0__INTSTAT, CYREG_PRT1_INTSTAT
.set Flex6__0__MASK, 0x02
.set Flex6__0__OUT_SEL, CYREG_UDB_PA1_CFG10
.set Flex6__0__OUT_SEL_SHIFT, 2
.set Flex6__0__OUT_SEL_VAL, 3
.set Flex6__0__PA__CFG0, CYREG_UDB_PA1_CFG0
.set Flex6__0__PA__CFG1, CYREG_UDB_PA1_CFG1
.set Flex6__0__PA__CFG10, CYREG_UDB_PA1_CFG10
.set Flex6__0__PA__CFG11, CYREG_UDB_PA1_CFG11
.set Flex6__0__PA__CFG12, CYREG_UDB_PA1_CFG12
.set Flex6__0__PA__CFG13, CYREG_UDB_PA1_CFG13
.set Flex6__0__PA__CFG14, CYREG_UDB_PA1_CFG14
.set Flex6__0__PA__CFG2, CYREG_UDB_PA1_CFG2
.set Flex6__0__PA__CFG3, CYREG_UDB_PA1_CFG3
.set Flex6__0__PA__CFG4, CYREG_UDB_PA1_CFG4
.set Flex6__0__PA__CFG5, CYREG_UDB_PA1_CFG5
.set Flex6__0__PA__CFG6, CYREG_UDB_PA1_CFG6
.set Flex6__0__PA__CFG7, CYREG_UDB_PA1_CFG7
.set Flex6__0__PA__CFG8, CYREG_UDB_PA1_CFG8
.set Flex6__0__PA__CFG9, CYREG_UDB_PA1_CFG9
.set Flex6__0__PC, CYREG_PRT1_PC
.set Flex6__0__PC2, CYREG_PRT1_PC2
.set Flex6__0__PORT, 1
.set Flex6__0__PS, CYREG_PRT1_PS
.set Flex6__0__SHIFT, 1
.set Flex6__DR, CYREG_PRT1_DR
.set Flex6__INTCFG, CYREG_PRT1_INTCFG
.set Flex6__INTSTAT, CYREG_PRT1_INTSTAT
.set Flex6__MASK, 0x02
.set Flex6__PA__CFG0, CYREG_UDB_PA1_CFG0
.set Flex6__PA__CFG1, CYREG_UDB_PA1_CFG1
.set Flex6__PA__CFG10, CYREG_UDB_PA1_CFG10
.set Flex6__PA__CFG11, CYREG_UDB_PA1_CFG11
.set Flex6__PA__CFG12, CYREG_UDB_PA1_CFG12
.set Flex6__PA__CFG13, CYREG_UDB_PA1_CFG13
.set Flex6__PA__CFG14, CYREG_UDB_PA1_CFG14
.set Flex6__PA__CFG2, CYREG_UDB_PA1_CFG2
.set Flex6__PA__CFG3, CYREG_UDB_PA1_CFG3
.set Flex6__PA__CFG4, CYREG_UDB_PA1_CFG4
.set Flex6__PA__CFG5, CYREG_UDB_PA1_CFG5
.set Flex6__PA__CFG6, CYREG_UDB_PA1_CFG6
.set Flex6__PA__CFG7, CYREG_UDB_PA1_CFG7
.set Flex6__PA__CFG8, CYREG_UDB_PA1_CFG8
.set Flex6__PA__CFG9, CYREG_UDB_PA1_CFG9
.set Flex6__PC, CYREG_PRT1_PC
.set Flex6__PC2, CYREG_PRT1_PC2
.set Flex6__PORT, 1
.set Flex6__PS, CYREG_PRT1_PS
.set Flex6__SHIFT, 1

/* Flex7 */
.set Flex7__0__DM__MASK, 0x38
.set Flex7__0__DM__SHIFT, 3
.set Flex7__0__DR, CYREG_PRT0_DR
.set Flex7__0__HSIOM, CYREG_HSIOM_PORT_SEL0
.set Flex7__0__HSIOM_MASK, 0x000000F0
.set Flex7__0__HSIOM_SHIFT, 4
.set Flex7__0__INTCFG, CYREG_PRT0_INTCFG
.set Flex7__0__INTSTAT, CYREG_PRT0_INTSTAT
.set Flex7__0__MASK, 0x02
.set Flex7__0__OUT_SEL, CYREG_UDB_PA0_CFG10
.set Flex7__0__OUT_SEL_SHIFT, 2
.set Flex7__0__OUT_SEL_VAL, 1
.set Flex7__0__PA__CFG0, CYREG_UDB_PA0_CFG0
.set Flex7__0__PA__CFG1, CYREG_UDB_PA0_CFG1
.set Flex7__0__PA__CFG10, CYREG_UDB_PA0_CFG10
.set Flex7__0__PA__CFG11, CYREG_UDB_PA0_CFG11
.set Flex7__0__PA__CFG12, CYREG_UDB_PA0_CFG12
.set Flex7__0__PA__CFG13, CYREG_UDB_PA0_CFG13
.set Flex7__0__PA__CFG14, CYREG_UDB_PA0_CFG14
.set Flex7__0__PA__CFG2, CYREG_UDB_PA0_CFG2
.set Flex7__0__PA__CFG3, CYREG_UDB_PA0_CFG3
.set Flex7__0__PA__CFG4, CYREG_UDB_PA0_CFG4
.set Flex7__0__PA__CFG5, CYREG_UDB_PA0_CFG5
.set Flex7__0__PA__CFG6, CYREG_UDB_PA0_CFG6
.set Flex7__0__PA__CFG7, CYREG_UDB_PA0_CFG7
.set Flex7__0__PA__CFG8, CYREG_UDB_PA0_CFG8
.set Flex7__0__PA__CFG9, CYREG_UDB_PA0_CFG9
.set Flex7__0__PC, CYREG_PRT0_PC
.set Flex7__0__PC2, CYREG_PRT0_PC2
.set Flex7__0__PORT, 0
.set Flex7__0__PS, CYREG_PRT0_PS
.set Flex7__0__SHIFT, 1
.set Flex7__DR, CYREG_PRT0_DR
.set Flex7__INTCFG, CYREG_PRT0_INTCFG
.set Flex7__INTSTAT, CYREG_PRT0_INTSTAT
.set Flex7__MASK, 0x02
.set Flex7__PA__CFG0, CYREG_UDB_PA0_CFG0
.set Flex7__PA__CFG1, CYREG_UDB_PA0_CFG1
.set Flex7__PA__CFG10, CYREG_UDB_PA0_CFG10
.set Flex7__PA__CFG11, CYREG_UDB_PA0_CFG11
.set Flex7__PA__CFG12, CYREG_UDB_PA0_CFG12
.set Flex7__PA__CFG13, CYREG_UDB_PA0_CFG13
.set Flex7__PA__CFG14, CYREG_UDB_PA0_CFG14
.set Flex7__PA__CFG2, CYREG_UDB_PA0_CFG2
.set Flex7__PA__CFG3, CYREG_UDB_PA0_CFG3
.set Flex7__PA__CFG4, CYREG_UDB_PA0_CFG4
.set Flex7__PA__CFG5, CYREG_UDB_PA0_CFG5
.set Flex7__PA__CFG6, CYREG_UDB_PA0_CFG6
.set Flex7__PA__CFG7, CYREG_UDB_PA0_CFG7
.set Flex7__PA__CFG8, CYREG_UDB_PA0_CFG8
.set Flex7__PA__CFG9, CYREG_UDB_PA0_CFG9
.set Flex7__PC, CYREG_PRT0_PC
.set Flex7__PC2, CYREG_PRT0_PC2
.set Flex7__PORT, 0
.set Flex7__PS, CYREG_PRT0_PS
.set Flex7__SHIFT, 1

/* Flex8 */
.set Flex8__0__DM__MASK, 0x1C0
.set Flex8__0__DM__SHIFT, 6
.set Flex8__0__DR, CYREG_PRT1_DR
.set Flex8__0__HSIOM, CYREG_HSIOM_PORT_SEL1
.set Flex8__0__HSIOM_MASK, 0x00000F00
.set Flex8__0__HSIOM_SHIFT, 8
.set Flex8__0__INTCFG, CYREG_PRT1_INTCFG
.set Flex8__0__INTSTAT, CYREG_PRT1_INTSTAT
.set Flex8__0__MASK, 0x04
.set Flex8__0__OUT_SEL, CYREG_UDB_PA1_CFG10
.set Flex8__0__OUT_SEL_SHIFT, 4
.set Flex8__0__OUT_SEL_VAL, 3
.set Flex8__0__PA__CFG0, CYREG_UDB_PA1_CFG0
.set Flex8__0__PA__CFG1, CYREG_UDB_PA1_CFG1
.set Flex8__0__PA__CFG10, CYREG_UDB_PA1_CFG10
.set Flex8__0__PA__CFG11, CYREG_UDB_PA1_CFG11
.set Flex8__0__PA__CFG12, CYREG_UDB_PA1_CFG12
.set Flex8__0__PA__CFG13, CYREG_UDB_PA1_CFG13
.set Flex8__0__PA__CFG14, CYREG_UDB_PA1_CFG14
.set Flex8__0__PA__CFG2, CYREG_UDB_PA1_CFG2
.set Flex8__0__PA__CFG3, CYREG_UDB_PA1_CFG3
.set Flex8__0__PA__CFG4, CYREG_UDB_PA1_CFG4
.set Flex8__0__PA__CFG5, CYREG_UDB_PA1_CFG5
.set Flex8__0__PA__CFG6, CYREG_UDB_PA1_CFG6
.set Flex8__0__PA__CFG7, CYREG_UDB_PA1_CFG7
.set Flex8__0__PA__CFG8, CYREG_UDB_PA1_CFG8
.set Flex8__0__PA__CFG9, CYREG_UDB_PA1_CFG9
.set Flex8__0__PC, CYREG_PRT1_PC
.set Flex8__0__PC2, CYREG_PRT1_PC2
.set Flex8__0__PORT, 1
.set Flex8__0__PS, CYREG_PRT1_PS
.set Flex8__0__SHIFT, 2
.set Flex8__DR, CYREG_PRT1_DR
.set Flex8__INTCFG, CYREG_PRT1_INTCFG
.set Flex8__INTSTAT, CYREG_PRT1_INTSTAT
.set Flex8__MASK, 0x04
.set Flex8__PA__CFG0, CYREG_UDB_PA1_CFG0
.set Flex8__PA__CFG1, CYREG_UDB_PA1_CFG1
.set Flex8__PA__CFG10, CYREG_UDB_PA1_CFG10
.set Flex8__PA__CFG11, CYREG_UDB_PA1_CFG11
.set Flex8__PA__CFG12, CYREG_UDB_PA1_CFG12
.set Flex8__PA__CFG13, CYREG_UDB_PA1_CFG13
.set Flex8__PA__CFG14, CYREG_UDB_PA1_CFG14
.set Flex8__PA__CFG2, CYREG_UDB_PA1_CFG2
.set Flex8__PA__CFG3, CYREG_UDB_PA1_CFG3
.set Flex8__PA__CFG4, CYREG_UDB_PA1_CFG4
.set Flex8__PA__CFG5, CYREG_UDB_PA1_CFG5
.set Flex8__PA__CFG6, CYREG_UDB_PA1_CFG6
.set Flex8__PA__CFG7, CYREG_UDB_PA1_CFG7
.set Flex8__PA__CFG8, CYREG_UDB_PA1_CFG8
.set Flex8__PA__CFG9, CYREG_UDB_PA1_CFG9
.set Flex8__PC, CYREG_PRT1_PC
.set Flex8__PC2, CYREG_PRT1_PC2
.set Flex8__PORT, 1
.set Flex8__PS, CYREG_PRT1_PS
.set Flex8__SHIFT, 2

/* Flex9 */
.set Flex9__0__DM__MASK, 0x1C0
.set Flex9__0__DM__SHIFT, 6
.set Flex9__0__DR, CYREG_PRT2_DR
.set Flex9__0__HSIOM, CYREG_HSIOM_PORT_SEL2
.set Flex9__0__HSIOM_MASK, 0x00000F00
.set Flex9__0__HSIOM_SHIFT, 8
.set Flex9__0__INTCFG, CYREG_PRT2_INTCFG
.set Flex9__0__INTSTAT, CYREG_PRT2_INTSTAT
.set Flex9__0__MASK, 0x04
.set Flex9__0__PA__CFG0, CYREG_UDB_PA2_CFG0
.set Flex9__0__PA__CFG1, CYREG_UDB_PA2_CFG1
.set Flex9__0__PA__CFG10, CYREG_UDB_PA2_CFG10
.set Flex9__0__PA__CFG11, CYREG_UDB_PA2_CFG11
.set Flex9__0__PA__CFG12, CYREG_UDB_PA2_CFG12
.set Flex9__0__PA__CFG13, CYREG_UDB_PA2_CFG13
.set Flex9__0__PA__CFG14, CYREG_UDB_PA2_CFG14
.set Flex9__0__PA__CFG2, CYREG_UDB_PA2_CFG2
.set Flex9__0__PA__CFG3, CYREG_UDB_PA2_CFG3
.set Flex9__0__PA__CFG4, CYREG_UDB_PA2_CFG4
.set Flex9__0__PA__CFG5, CYREG_UDB_PA2_CFG5
.set Flex9__0__PA__CFG6, CYREG_UDB_PA2_CFG6
.set Flex9__0__PA__CFG7, CYREG_UDB_PA2_CFG7
.set Flex9__0__PA__CFG8, CYREG_UDB_PA2_CFG8
.set Flex9__0__PA__CFG9, CYREG_UDB_PA2_CFG9
.set Flex9__0__PC, CYREG_PRT2_PC
.set Flex9__0__PC2, CYREG_PRT2_PC2
.set Flex9__0__PORT, 2
.set Flex9__0__PS, CYREG_PRT2_PS
.set Flex9__0__SHIFT, 2
.set Flex9__DR, CYREG_PRT2_DR
.set Flex9__INTCFG, CYREG_PRT2_INTCFG
.set Flex9__INTSTAT, CYREG_PRT2_INTSTAT
.set Flex9__MASK, 0x04
.set Flex9__PA__CFG0, CYREG_UDB_PA2_CFG0
.set Flex9__PA__CFG1, CYREG_UDB_PA2_CFG1
.set Flex9__PA__CFG10, CYREG_UDB_PA2_CFG10
.set Flex9__PA__CFG11, CYREG_UDB_PA2_CFG11
.set Flex9__PA__CFG12, CYREG_UDB_PA2_CFG12
.set Flex9__PA__CFG13, CYREG_UDB_PA2_CFG13
.set Flex9__PA__CFG14, CYREG_UDB_PA2_CFG14
.set Flex9__PA__CFG2, CYREG_UDB_PA2_CFG2
.set Flex9__PA__CFG3, CYREG_UDB_PA2_CFG3
.set Flex9__PA__CFG4, CYREG_UDB_PA2_CFG4
.set Flex9__PA__CFG5, CYREG_UDB_PA2_CFG5
.set Flex9__PA__CFG6, CYREG_UDB_PA2_CFG6
.set Flex9__PA__CFG7, CYREG_UDB_PA2_CFG7
.set Flex9__PA__CFG8, CYREG_UDB_PA2_CFG8
.set Flex9__PA__CFG9, CYREG_UDB_PA2_CFG9
.set Flex9__PC, CYREG_PRT2_PC
.set Flex9__PC2, CYREG_PRT2_PC2
.set Flex9__PORT, 2
.set Flex9__PS, CYREG_PRT2_PS
.set Flex9__SHIFT, 2

/* Flex10 */
.set Flex10__0__DM__MASK, 0xE00
.set Flex10__0__DM__SHIFT, 9
.set Flex10__0__DR, CYREG_PRT2_DR
.set Flex10__0__HSIOM, CYREG_HSIOM_PORT_SEL2
.set Flex10__0__HSIOM_MASK, 0x0000F000
.set Flex10__0__HSIOM_SHIFT, 12
.set Flex10__0__INTCFG, CYREG_PRT2_INTCFG
.set Flex10__0__INTSTAT, CYREG_PRT2_INTSTAT
.set Flex10__0__MASK, 0x08
.set Flex10__0__PA__CFG0, CYREG_UDB_PA2_CFG0
.set Flex10__0__PA__CFG1, CYREG_UDB_PA2_CFG1
.set Flex10__0__PA__CFG10, CYREG_UDB_PA2_CFG10
.set Flex10__0__PA__CFG11, CYREG_UDB_PA2_CFG11
.set Flex10__0__PA__CFG12, CYREG_UDB_PA2_CFG12
.set Flex10__0__PA__CFG13, CYREG_UDB_PA2_CFG13
.set Flex10__0__PA__CFG14, CYREG_UDB_PA2_CFG14
.set Flex10__0__PA__CFG2, CYREG_UDB_PA2_CFG2
.set Flex10__0__PA__CFG3, CYREG_UDB_PA2_CFG3
.set Flex10__0__PA__CFG4, CYREG_UDB_PA2_CFG4
.set Flex10__0__PA__CFG5, CYREG_UDB_PA2_CFG5
.set Flex10__0__PA__CFG6, CYREG_UDB_PA2_CFG6
.set Flex10__0__PA__CFG7, CYREG_UDB_PA2_CFG7
.set Flex10__0__PA__CFG8, CYREG_UDB_PA2_CFG8
.set Flex10__0__PA__CFG9, CYREG_UDB_PA2_CFG9
.set Flex10__0__PC, CYREG_PRT2_PC
.set Flex10__0__PC2, CYREG_PRT2_PC2
.set Flex10__0__PORT, 2
.set Flex10__0__PS, CYREG_PRT2_PS
.set Flex10__0__SHIFT, 3
.set Flex10__DR, CYREG_PRT2_DR
.set Flex10__INTCFG, CYREG_PRT2_INTCFG
.set Flex10__INTSTAT, CYREG_PRT2_INTSTAT
.set Flex10__MASK, 0x08
.set Flex10__PA__CFG0, CYREG_UDB_PA2_CFG0
.set Flex10__PA__CFG1, CYREG_UDB_PA2_CFG1
.set Flex10__PA__CFG10, CYREG_UDB_PA2_CFG10
.set Flex10__PA__CFG11, CYREG_UDB_PA2_CFG11
.set Flex10__PA__CFG12, CYREG_UDB_PA2_CFG12
.set Flex10__PA__CFG13, CYREG_UDB_PA2_CFG13
.set Flex10__PA__CFG14, CYREG_UDB_PA2_CFG14
.set Flex10__PA__CFG2, CYREG_UDB_PA2_CFG2
.set Flex10__PA__CFG3, CYREG_UDB_PA2_CFG3
.set Flex10__PA__CFG4, CYREG_UDB_PA2_CFG4
.set Flex10__PA__CFG5, CYREG_UDB_PA2_CFG5
.set Flex10__PA__CFG6, CYREG_UDB_PA2_CFG6
.set Flex10__PA__CFG7, CYREG_UDB_PA2_CFG7
.set Flex10__PA__CFG8, CYREG_UDB_PA2_CFG8
.set Flex10__PA__CFG9, CYREG_UDB_PA2_CFG9
.set Flex10__PC, CYREG_PRT2_PC
.set Flex10__PC2, CYREG_PRT2_PC2
.set Flex10__PORT, 2
.set Flex10__PS, CYREG_PRT2_PS
.set Flex10__SHIFT, 3

/* Clock_1 */
.set Clock_1__DIVIDER_MASK, 0x0000FFFF
.set Clock_1__ENABLE, CYREG_CLK_DIVIDER_C00
.set Clock_1__ENABLE_MASK, 0x80000000
.set Clock_1__MASK, 0x80000000
.set Clock_1__REGISTER, CYREG_CLK_DIVIDER_C00

/* isr_1ms */
.set isr_1ms__INTC_CLR_EN_REG, CYREG_CM0_ICER
.set isr_1ms__INTC_CLR_PD_REG, CYREG_CM0_ICPR
.set isr_1ms__INTC_MASK, 0x01
.set isr_1ms__INTC_NUMBER, 0
.set isr_1ms__INTC_PRIOR_MASK, 0xC0
.set isr_1ms__INTC_PRIOR_NUM, 3
.set isr_1ms__INTC_PRIOR_REG, CYREG_CM0_IPR0
.set isr_1ms__INTC_SET_EN_REG, CYREG_CM0_ISER
.set isr_1ms__INTC_SET_PD_REG, CYREG_CM0_ISPR

/* ADC_Flex */
.set ADC_Flex_cy_psoc4_sar__SAR_ANA_TRIM, CYREG_SAR_ANA_TRIM
.set ADC_Flex_cy_psoc4_sar__SAR_AVG_STAT, CYREG_SAR_AVG_STAT
.set ADC_Flex_cy_psoc4_sar__SAR_CHAN_CONFIG00, CYREG_SAR_CHAN_CONFIG00
.set ADC_Flex_cy_psoc4_sar__SAR_CHAN_CONFIG01, CYREG_SAR_CHAN_CONFIG01
.set ADC_Flex_cy_psoc4_sar__SAR_CHAN_CONFIG02, CYREG_SAR_CHAN_CONFIG02
.set ADC_Flex_cy_psoc4_sar__SAR_CHAN_CONFIG03, CYREG_SAR_CHAN_CONFIG03
.set ADC_Flex_cy_psoc4_sar__SAR_CHAN_CONFIG04, CYREG_SAR_CHAN_CONFIG04
.set ADC_Flex_cy_psoc4_sar__SAR_CHAN_CONFIG05, CYREG_SAR_CHAN_CONFIG05
.set ADC_Flex_cy_psoc4_sar__SAR_CHAN_CONFIG06, CYREG_SAR_CHAN_CONFIG06
.set ADC_Flex_cy_psoc4_sar__SAR_CHAN_CONFIG07, CYREG_SAR_CHAN_CONFIG07
.set ADC_Flex_cy_psoc4_sar__SAR_CHAN_EN, CYREG_SAR_CHAN_EN
.set ADC_Flex_cy_psoc4_sar__SAR_CHAN_RESULT_VALID, CYREG_SAR_CHAN_RESULT_VALID
.set ADC_Flex_cy_psoc4_sar__SAR_CHAN_RESULT00, CYREG_SAR_CHAN_RESULT00
.set ADC_Flex_cy_psoc4_sar__SAR_CHAN_RESULT01, CYREG_SAR_CHAN_RESULT01
.set ADC_Flex_cy_psoc4_sar__SAR_CHAN_RESULT02, CYREG_SAR_CHAN_RESULT02
.set ADC_Flex_cy_psoc4_sar__SAR_CHAN_RESULT03, CYREG_SAR_CHAN_RESULT03
.set ADC_Flex_cy_psoc4_sar__SAR_CHAN_RESULT04, CYREG_SAR_CHAN_RESULT04
.set ADC_Flex_cy_psoc4_sar__SAR_CHAN_RESULT05, CYREG_SAR_CHAN_RESULT05
.set ADC_Flex_cy_psoc4_sar__SAR_CHAN_RESULT06, CYREG_SAR_CHAN_RESULT06
.set ADC_Flex_cy_psoc4_sar__SAR_CHAN_RESULT07, CYREG_SAR_CHAN_RESULT07
.set ADC_Flex_cy_psoc4_sar__SAR_CHAN_WORK_VALID, CYREG_SAR_CHAN_WORK_VALID
.set ADC_Flex_cy_psoc4_sar__SAR_CHAN_WORK00, CYREG_SAR_CHAN_WORK00
.set ADC_Flex_cy_psoc4_sar__SAR_CHAN_WORK01, CYREG_SAR_CHAN_WORK01
.set ADC_Flex_cy_psoc4_sar__SAR_CHAN_WORK02, CYREG_SAR_CHAN_WORK02
.set ADC_Flex_cy_psoc4_sar__SAR_CHAN_WORK03, CYREG_SAR_CHAN_WORK03
.set ADC_Flex_cy_psoc4_sar__SAR_CHAN_WORK04, CYREG_SAR_CHAN_WORK04
.set ADC_Flex_cy_psoc4_sar__SAR_CHAN_WORK05, CYREG_SAR_CHAN_WORK05
.set ADC_Flex_cy_psoc4_sar__SAR_CHAN_WORK06, CYREG_SAR_CHAN_WORK06
.set ADC_Flex_cy_psoc4_sar__SAR_CHAN_WORK07, CYREG_SAR_CHAN_WORK07
.set ADC_Flex_cy_psoc4_sar__SAR_CTRL, CYREG_SAR_CTRL
.set ADC_Flex_cy_psoc4_sar__SAR_DFT_CTRL, CYREG_SAR_DFT_CTRL
.set ADC_Flex_cy_psoc4_sar__SAR_INTR, CYREG_SAR_INTR
.set ADC_Flex_cy_psoc4_sar__SAR_INTR_CAUSE, CYREG_SAR_INTR_CAUSE
.set ADC_Flex_cy_psoc4_sar__SAR_INTR_MASK, CYREG_SAR_INTR_MASK
.set ADC_Flex_cy_psoc4_sar__SAR_INTR_MASKED, CYREG_SAR_INTR_MASKED
.set ADC_Flex_cy_psoc4_sar__SAR_INTR_SET, CYREG_SAR_INTR_SET
.set ADC_Flex_cy_psoc4_sar__SAR_MUX_SWITCH_CLEAR0, CYREG_SAR_MUX_SWITCH_CLEAR0
.set ADC_Flex_cy_psoc4_sar__SAR_MUX_SWITCH_CLEAR1, CYREG_SAR_MUX_SWITCH_CLEAR1
.set ADC_Flex_cy_psoc4_sar__SAR_MUX_SWITCH_HW_CTRL, CYREG_SAR_MUX_SWITCH_HW_CTRL
.set ADC_Flex_cy_psoc4_sar__SAR_MUX_SWITCH_STATUS, CYREG_SAR_MUX_SWITCH_STATUS
.set ADC_Flex_cy_psoc4_sar__SAR_MUX_SWITCH0, CYREG_SAR_MUX_SWITCH0
.set ADC_Flex_cy_psoc4_sar__SAR_MUX_SWITCH1, CYREG_SAR_MUX_SWITCH1
.set ADC_Flex_cy_psoc4_sar__SAR_NUMBER, 0
.set ADC_Flex_cy_psoc4_sar__SAR_PUMP_CTRL, CYREG_SAR_PUMP_CTRL
.set ADC_Flex_cy_psoc4_sar__SAR_RANGE_COND, CYREG_SAR_RANGE_COND
.set ADC_Flex_cy_psoc4_sar__SAR_RANGE_INTR, CYREG_SAR_RANGE_INTR
.set ADC_Flex_cy_psoc4_sar__SAR_RANGE_INTR_MASK, CYREG_SAR_RANGE_INTR_MASK
.set ADC_Flex_cy_psoc4_sar__SAR_RANGE_INTR_MASKED, CYREG_SAR_RANGE_INTR_MASKED
.set ADC_Flex_cy_psoc4_sar__SAR_RANGE_INTR_SET, CYREG_SAR_RANGE_INTR_SET
.set ADC_Flex_cy_psoc4_sar__SAR_RANGE_THRES, CYREG_SAR_RANGE_THRES
.set ADC_Flex_cy_psoc4_sar__SAR_SAMPLE_CTRL, CYREG_SAR_SAMPLE_CTRL
.set ADC_Flex_cy_psoc4_sar__SAR_SAMPLE_TIME01, CYREG_SAR_SAMPLE_TIME01
.set ADC_Flex_cy_psoc4_sar__SAR_SAMPLE_TIME23, CYREG_SAR_SAMPLE_TIME23
.set ADC_Flex_cy_psoc4_sar__SAR_SATURATE_INTR, CYREG_SAR_SATURATE_INTR
.set ADC_Flex_cy_psoc4_sar__SAR_SATURATE_INTR_MASK, CYREG_SAR_SATURATE_INTR_MASK
.set ADC_Flex_cy_psoc4_sar__SAR_SATURATE_INTR_MASKED, CYREG_SAR_SATURATE_INTR_MASKED
.set ADC_Flex_cy_psoc4_sar__SAR_SATURATE_INTR_SET, CYREG_SAR_SATURATE_INTR_SET
.set ADC_Flex_cy_psoc4_sar__SAR_START_CTRL, CYREG_SAR_START_CTRL
.set ADC_Flex_cy_psoc4_sar__SAR_STATUS, CYREG_SAR_STATUS
.set ADC_Flex_cy_psoc4_sar__SAR_WOUNDING, CYREG_SAR_WOUNDING
.set ADC_Flex_intClock__DIVIDER_MASK, 0x0000FFFF
.set ADC_Flex_intClock__ENABLE, CYREG_CLK_DIVIDER_B00
.set ADC_Flex_intClock__ENABLE_MASK, 0x80000000
.set ADC_Flex_intClock__MASK, 0x80000000
.set ADC_Flex_intClock__REGISTER, CYREG_CLK_DIVIDER_B00
.set ADC_Flex_IRQ__INTC_CLR_EN_REG, CYREG_CM0_ICER
.set ADC_Flex_IRQ__INTC_CLR_PD_REG, CYREG_CM0_ICPR
.set ADC_Flex_IRQ__INTC_MASK, 0x4000
.set ADC_Flex_IRQ__INTC_NUMBER, 14
.set ADC_Flex_IRQ__INTC_PRIOR_MASK, 0xC00000
.set ADC_Flex_IRQ__INTC_PRIOR_NUM, 3
.set ADC_Flex_IRQ__INTC_PRIOR_REG, CYREG_CM0_IPR3
.set ADC_Flex_IRQ__INTC_SET_EN_REG, CYREG_CM0_ISER
.set ADC_Flex_IRQ__INTC_SET_PD_REG, CYREG_CM0_ISPR

/* Timer_1ms */
.set Timer_1ms_TimerUDB_rstSts_stsreg__0__MASK, 0x01
.set Timer_1ms_TimerUDB_rstSts_stsreg__0__POS, 0
.set Timer_1ms_TimerUDB_rstSts_stsreg__2__MASK, 0x04
.set Timer_1ms_TimerUDB_rstSts_stsreg__2__POS, 2
.set Timer_1ms_TimerUDB_rstSts_stsreg__3__MASK, 0x08
.set Timer_1ms_TimerUDB_rstSts_stsreg__3__POS, 3
.set Timer_1ms_TimerUDB_rstSts_stsreg__MASK, 0x0D
.set Timer_1ms_TimerUDB_rstSts_stsreg__MASK_REG, CYREG_UDB_W8_MSK_03
.set Timer_1ms_TimerUDB_rstSts_stsreg__MASK_ST_AUX_CTL_REG, CYREG_UDB_CAT16_ACTL_MSK_03
.set Timer_1ms_TimerUDB_rstSts_stsreg__PER_ST_AUX_CTL_REG, CYREG_UDB_CAT16_ACTL_MSK_03
.set Timer_1ms_TimerUDB_rstSts_stsreg__STATUS_AUX_CTL_REG, CYREG_UDB_W8_ACTL_03
.set Timer_1ms_TimerUDB_rstSts_stsreg__STATUS_CNT_REG, CYREG_UDB_CAT16_CTL_ST_03
.set Timer_1ms_TimerUDB_rstSts_stsreg__STATUS_CONTROL_REG, CYREG_UDB_CAT16_CTL_ST_03
.set Timer_1ms_TimerUDB_rstSts_stsreg__STATUS_REG, CYREG_UDB_W8_ST_03
.set Timer_1ms_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__7__MASK, 0x80
.set Timer_1ms_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__7__POS, 7
.set Timer_1ms_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_AUX_CTL_REG, CYREG_UDB_W8_ACTL_03
.set Timer_1ms_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_REG, CYREG_UDB_W8_CTL_03
.set Timer_1ms_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_ST_REG, CYREG_UDB_CAT16_CTL_ST_03
.set Timer_1ms_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__COUNT_REG, CYREG_UDB_W8_CTL_03
.set Timer_1ms_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__COUNT_ST_REG, CYREG_UDB_CAT16_CTL_ST_03
.set Timer_1ms_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__MASK, 0x80
.set Timer_1ms_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__MASK_CTL_AUX_CTL_REG, CYREG_UDB_CAT16_ACTL_MSK_03
.set Timer_1ms_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__PER_CTL_AUX_CTL_REG, CYREG_UDB_CAT16_ACTL_MSK_03
.set Timer_1ms_TimerUDB_sCTRLReg_SyncCtl_ctrlreg__PERIOD_REG, CYREG_UDB_W8_MSK_03
.set Timer_1ms_TimerUDB_sT16_timerdp_u0__16BIT_A0_REG, CYREG_UDB_W16_A0_02
.set Timer_1ms_TimerUDB_sT16_timerdp_u0__16BIT_A1_REG, CYREG_UDB_W16_A1_02
.set Timer_1ms_TimerUDB_sT16_timerdp_u0__16BIT_D0_REG, CYREG_UDB_W16_D0_02
.set Timer_1ms_TimerUDB_sT16_timerdp_u0__16BIT_D1_REG, CYREG_UDB_W16_D1_02
.set Timer_1ms_TimerUDB_sT16_timerdp_u0__16BIT_DP_AUX_CTL_REG, CYREG_UDB_W16_ACTL_02
.set Timer_1ms_TimerUDB_sT16_timerdp_u0__16BIT_F0_REG, CYREG_UDB_W16_F0_02
.set Timer_1ms_TimerUDB_sT16_timerdp_u0__16BIT_F1_REG, CYREG_UDB_W16_F1_02
.set Timer_1ms_TimerUDB_sT16_timerdp_u0__A0_A1_REG, CYREG_UDB_CAT16_A_02
.set Timer_1ms_TimerUDB_sT16_timerdp_u0__A0_REG, CYREG_UDB_W8_A0_02
.set Timer_1ms_TimerUDB_sT16_timerdp_u0__A1_REG, CYREG_UDB_W8_A1_02
.set Timer_1ms_TimerUDB_sT16_timerdp_u0__D0_D1_REG, CYREG_UDB_CAT16_D_02
.set Timer_1ms_TimerUDB_sT16_timerdp_u0__D0_REG, CYREG_UDB_W8_D0_02
.set Timer_1ms_TimerUDB_sT16_timerdp_u0__D1_REG, CYREG_UDB_W8_D1_02
.set Timer_1ms_TimerUDB_sT16_timerdp_u0__DP_AUX_CTL_REG, CYREG_UDB_W8_ACTL_02
.set Timer_1ms_TimerUDB_sT16_timerdp_u0__F0_F1_REG, CYREG_UDB_CAT16_F_02
.set Timer_1ms_TimerUDB_sT16_timerdp_u0__F0_REG, CYREG_UDB_W8_F0_02
.set Timer_1ms_TimerUDB_sT16_timerdp_u0__F1_REG, CYREG_UDB_W8_F1_02
.set Timer_1ms_TimerUDB_sT16_timerdp_u1__A0_A1_REG, CYREG_UDB_CAT16_A_03
.set Timer_1ms_TimerUDB_sT16_timerdp_u1__A0_REG, CYREG_UDB_W8_A0_03
.set Timer_1ms_TimerUDB_sT16_timerdp_u1__A1_REG, CYREG_UDB_W8_A1_03
.set Timer_1ms_TimerUDB_sT16_timerdp_u1__D0_D1_REG, CYREG_UDB_CAT16_D_03
.set Timer_1ms_TimerUDB_sT16_timerdp_u1__D0_REG, CYREG_UDB_W8_D0_03
.set Timer_1ms_TimerUDB_sT16_timerdp_u1__D1_REG, CYREG_UDB_W8_D1_03
.set Timer_1ms_TimerUDB_sT16_timerdp_u1__DP_AUX_CTL_REG, CYREG_UDB_W8_ACTL_03
.set Timer_1ms_TimerUDB_sT16_timerdp_u1__F0_F1_REG, CYREG_UDB_CAT16_F_03
.set Timer_1ms_TimerUDB_sT16_timerdp_u1__F0_REG, CYREG_UDB_W8_F0_03
.set Timer_1ms_TimerUDB_sT16_timerdp_u1__F1_REG, CYREG_UDB_W8_F1_03
.set Timer_1ms_TimerUDB_sT16_timerdp_u1__MSK_DP_AUX_CTL_REG, CYREG_UDB_CAT16_ACTL_MSK_03
.set Timer_1ms_TimerUDB_sT16_timerdp_u1__PER_DP_AUX_CTL_REG, CYREG_UDB_CAT16_ACTL_MSK_03

/* EZI2C_Flex */
.set EZI2C_Flex_SCB__BIST_CONTROL, CYREG_SCB0_BIST_CONTROL
.set EZI2C_Flex_SCB__BIST_DATA, CYREG_SCB0_BIST_DATA
.set EZI2C_Flex_SCB__CTRL, CYREG_SCB0_CTRL
.set EZI2C_Flex_SCB__EZ_DATA00, CYREG_SCB0_EZ_DATA00
.set EZI2C_Flex_SCB__EZ_DATA01, CYREG_SCB0_EZ_DATA01
.set EZI2C_Flex_SCB__EZ_DATA02, CYREG_SCB0_EZ_DATA02
.set EZI2C_Flex_SCB__EZ_DATA03, CYREG_SCB0_EZ_DATA03
.set EZI2C_Flex_SCB__EZ_DATA04, CYREG_SCB0_EZ_DATA04
.set EZI2C_Flex_SCB__EZ_DATA05, CYREG_SCB0_EZ_DATA05
.set EZI2C_Flex_SCB__EZ_DATA06, CYREG_SCB0_EZ_DATA06
.set EZI2C_Flex_SCB__EZ_DATA07, CYREG_SCB0_EZ_DATA07
.set EZI2C_Flex_SCB__EZ_DATA08, CYREG_SCB0_EZ_DATA08
.set EZI2C_Flex_SCB__EZ_DATA09, CYREG_SCB0_EZ_DATA09
.set EZI2C_Flex_SCB__EZ_DATA10, CYREG_SCB0_EZ_DATA10
.set EZI2C_Flex_SCB__EZ_DATA11, CYREG_SCB0_EZ_DATA11
.set EZI2C_Flex_SCB__EZ_DATA12, CYREG_SCB0_EZ_DATA12
.set EZI2C_Flex_SCB__EZ_DATA13, CYREG_SCB0_EZ_DATA13
.set EZI2C_Flex_SCB__EZ_DATA14, CYREG_SCB0_EZ_DATA14
.set EZI2C_Flex_SCB__EZ_DATA15, CYREG_SCB0_EZ_DATA15
.set EZI2C_Flex_SCB__EZ_DATA16, CYREG_SCB0_EZ_DATA16
.set EZI2C_Flex_SCB__EZ_DATA17, CYREG_SCB0_EZ_DATA17
.set EZI2C_Flex_SCB__EZ_DATA18, CYREG_SCB0_EZ_DATA18
.set EZI2C_Flex_SCB__EZ_DATA19, CYREG_SCB0_EZ_DATA19
.set EZI2C_Flex_SCB__EZ_DATA20, CYREG_SCB0_EZ_DATA20
.set EZI2C_Flex_SCB__EZ_DATA21, CYREG_SCB0_EZ_DATA21
.set EZI2C_Flex_SCB__EZ_DATA22, CYREG_SCB0_EZ_DATA22
.set EZI2C_Flex_SCB__EZ_DATA23, CYREG_SCB0_EZ_DATA23
.set EZI2C_Flex_SCB__EZ_DATA24, CYREG_SCB0_EZ_DATA24
.set EZI2C_Flex_SCB__EZ_DATA25, CYREG_SCB0_EZ_DATA25
.set EZI2C_Flex_SCB__EZ_DATA26, CYREG_SCB0_EZ_DATA26
.set EZI2C_Flex_SCB__EZ_DATA27, CYREG_SCB0_EZ_DATA27
.set EZI2C_Flex_SCB__EZ_DATA28, CYREG_SCB0_EZ_DATA28
.set EZI2C_Flex_SCB__EZ_DATA29, CYREG_SCB0_EZ_DATA29
.set EZI2C_Flex_SCB__EZ_DATA30, CYREG_SCB0_EZ_DATA30
.set EZI2C_Flex_SCB__EZ_DATA31, CYREG_SCB0_EZ_DATA31
.set EZI2C_Flex_SCB__I2C_CFG, CYREG_SCB0_I2C_CFG
.set EZI2C_Flex_SCB__I2C_CTRL, CYREG_SCB0_I2C_CTRL
.set EZI2C_Flex_SCB__I2C_M_CMD, CYREG_SCB0_I2C_M_CMD
.set EZI2C_Flex_SCB__I2C_S_CMD, CYREG_SCB0_I2C_S_CMD
.set EZI2C_Flex_SCB__I2C_STATUS, CYREG_SCB0_I2C_STATUS
.set EZI2C_Flex_SCB__INTR_CAUSE, CYREG_SCB0_INTR_CAUSE
.set EZI2C_Flex_SCB__INTR_I2C_EC, CYREG_SCB0_INTR_I2C_EC
.set EZI2C_Flex_SCB__INTR_I2C_EC_MASK, CYREG_SCB0_INTR_I2C_EC_MASK
.set EZI2C_Flex_SCB__INTR_I2C_EC_MASKED, CYREG_SCB0_INTR_I2C_EC_MASKED
.set EZI2C_Flex_SCB__INTR_M, CYREG_SCB0_INTR_M
.set EZI2C_Flex_SCB__INTR_M_MASK, CYREG_SCB0_INTR_M_MASK
.set EZI2C_Flex_SCB__INTR_M_MASKED, CYREG_SCB0_INTR_M_MASKED
.set EZI2C_Flex_SCB__INTR_M_SET, CYREG_SCB0_INTR_M_SET
.set EZI2C_Flex_SCB__INTR_RX, CYREG_SCB0_INTR_RX
.set EZI2C_Flex_SCB__INTR_RX_MASK, CYREG_SCB0_INTR_RX_MASK
.set EZI2C_Flex_SCB__INTR_RX_MASKED, CYREG_SCB0_INTR_RX_MASKED
.set EZI2C_Flex_SCB__INTR_RX_SET, CYREG_SCB0_INTR_RX_SET
.set EZI2C_Flex_SCB__INTR_S, CYREG_SCB0_INTR_S
.set EZI2C_Flex_SCB__INTR_S_MASK, CYREG_SCB0_INTR_S_MASK
.set EZI2C_Flex_SCB__INTR_S_MASKED, CYREG_SCB0_INTR_S_MASKED
.set EZI2C_Flex_SCB__INTR_S_SET, CYREG_SCB0_INTR_S_SET
.set EZI2C_Flex_SCB__INTR_SPI_EC, CYREG_SCB0_INTR_SPI_EC
.set EZI2C_Flex_SCB__INTR_SPI_EC_MASK, CYREG_SCB0_INTR_SPI_EC_MASK
.set EZI2C_Flex_SCB__INTR_SPI_EC_MASKED, CYREG_SCB0_INTR_SPI_EC_MASKED
.set EZI2C_Flex_SCB__INTR_TX, CYREG_SCB0_INTR_TX
.set EZI2C_Flex_SCB__INTR_TX_MASK, CYREG_SCB0_INTR_TX_MASK
.set EZI2C_Flex_SCB__INTR_TX_MASKED, CYREG_SCB0_INTR_TX_MASKED
.set EZI2C_Flex_SCB__INTR_TX_SET, CYREG_SCB0_INTR_TX_SET
.set EZI2C_Flex_SCB__RX_CTRL, CYREG_SCB0_RX_CTRL
.set EZI2C_Flex_SCB__RX_FIFO_CTRL, CYREG_SCB0_RX_FIFO_CTRL
.set EZI2C_Flex_SCB__RX_FIFO_RD, CYREG_SCB0_RX_FIFO_RD
.set EZI2C_Flex_SCB__RX_FIFO_RD_SILENT, CYREG_SCB0_RX_FIFO_RD_SILENT
.set EZI2C_Flex_SCB__RX_FIFO_STATUS, CYREG_SCB0_RX_FIFO_STATUS
.set EZI2C_Flex_SCB__RX_MATCH, CYREG_SCB0_RX_MATCH
.set EZI2C_Flex_SCB__SPI_CTRL, CYREG_SCB0_SPI_CTRL
.set EZI2C_Flex_SCB__SPI_STATUS, CYREG_SCB0_SPI_STATUS
.set EZI2C_Flex_SCB__SS0_POSISTION, 0
.set EZI2C_Flex_SCB__SS1_POSISTION, 1
.set EZI2C_Flex_SCB__SS2_POSISTION, 2
.set EZI2C_Flex_SCB__SS3_POSISTION, 3
.set EZI2C_Flex_SCB__STATUS, CYREG_SCB0_STATUS
.set EZI2C_Flex_SCB__TX_CTRL, CYREG_SCB0_TX_CTRL
.set EZI2C_Flex_SCB__TX_FIFO_CTRL, CYREG_SCB0_TX_FIFO_CTRL
.set EZI2C_Flex_SCB__TX_FIFO_STATUS, CYREG_SCB0_TX_FIFO_STATUS
.set EZI2C_Flex_SCB__TX_FIFO_WR, CYREG_SCB0_TX_FIFO_WR
.set EZI2C_Flex_SCB__UART_CTRL, CYREG_SCB0_UART_CTRL
.set EZI2C_Flex_SCB__UART_RX_CTRL, CYREG_SCB0_UART_RX_CTRL
.set EZI2C_Flex_SCB__UART_RX_STATUS, CYREG_SCB0_UART_RX_STATUS
.set EZI2C_Flex_SCB__UART_TX_CTRL, CYREG_SCB0_UART_TX_CTRL
.set EZI2C_Flex_SCB_IRQ__INTC_CLR_EN_REG, CYREG_CM0_ICER
.set EZI2C_Flex_SCB_IRQ__INTC_CLR_PD_REG, CYREG_CM0_ICPR
.set EZI2C_Flex_SCB_IRQ__INTC_MASK, 0x400
.set EZI2C_Flex_SCB_IRQ__INTC_NUMBER, 10
.set EZI2C_Flex_SCB_IRQ__INTC_PRIOR_MASK, 0xC00000
.set EZI2C_Flex_SCB_IRQ__INTC_PRIOR_NUM, 3
.set EZI2C_Flex_SCB_IRQ__INTC_PRIOR_REG, CYREG_CM0_IPR2
.set EZI2C_Flex_SCB_IRQ__INTC_SET_EN_REG, CYREG_CM0_ISER
.set EZI2C_Flex_SCB_IRQ__INTC_SET_PD_REG, CYREG_CM0_ISPR
.set EZI2C_Flex_SCBCLK__DIVIDER_MASK, 0x0000FFFF
.set EZI2C_Flex_SCBCLK__ENABLE, CYREG_CLK_DIVIDER_A00
.set EZI2C_Flex_SCBCLK__ENABLE_MASK, 0x80000000
.set EZI2C_Flex_SCBCLK__MASK, 0x80000000
.set EZI2C_Flex_SCBCLK__REGISTER, CYREG_CLK_DIVIDER_A00
.set EZI2C_Flex_scl__0__DM__MASK, 0x07
.set EZI2C_Flex_scl__0__DM__SHIFT, 0
.set EZI2C_Flex_scl__0__DR, CYREG_PRT4_DR
.set EZI2C_Flex_scl__0__HSIOM, CYREG_HSIOM_PORT_SEL4
.set EZI2C_Flex_scl__0__HSIOM_GPIO, 0
.set EZI2C_Flex_scl__0__HSIOM_I2C, 14
.set EZI2C_Flex_scl__0__HSIOM_I2C_SCL, 14
.set EZI2C_Flex_scl__0__HSIOM_MASK, 0x0000000F
.set EZI2C_Flex_scl__0__HSIOM_SHIFT, 0
.set EZI2C_Flex_scl__0__HSIOM_SPI, 15
.set EZI2C_Flex_scl__0__HSIOM_SPI_MOSI, 15
.set EZI2C_Flex_scl__0__HSIOM_UART, 9
.set EZI2C_Flex_scl__0__HSIOM_UART_RX, 9
.set EZI2C_Flex_scl__0__INTCFG, CYREG_PRT4_INTCFG
.set EZI2C_Flex_scl__0__INTSTAT, CYREG_PRT4_INTSTAT
.set EZI2C_Flex_scl__0__MASK, 0x01
.set EZI2C_Flex_scl__0__PC, CYREG_PRT4_PC
.set EZI2C_Flex_scl__0__PC2, CYREG_PRT4_PC2
.set EZI2C_Flex_scl__0__PORT, 4
.set EZI2C_Flex_scl__0__PS, CYREG_PRT4_PS
.set EZI2C_Flex_scl__0__SHIFT, 0
.set EZI2C_Flex_scl__DR, CYREG_PRT4_DR
.set EZI2C_Flex_scl__INTCFG, CYREG_PRT4_INTCFG
.set EZI2C_Flex_scl__INTSTAT, CYREG_PRT4_INTSTAT
.set EZI2C_Flex_scl__MASK, 0x01
.set EZI2C_Flex_scl__PC, CYREG_PRT4_PC
.set EZI2C_Flex_scl__PC2, CYREG_PRT4_PC2
.set EZI2C_Flex_scl__PORT, 4
.set EZI2C_Flex_scl__PS, CYREG_PRT4_PS
.set EZI2C_Flex_scl__SHIFT, 0
.set EZI2C_Flex_sda__0__DM__MASK, 0x38
.set EZI2C_Flex_sda__0__DM__SHIFT, 3
.set EZI2C_Flex_sda__0__DR, CYREG_PRT4_DR
.set EZI2C_Flex_sda__0__HSIOM, CYREG_HSIOM_PORT_SEL4
.set EZI2C_Flex_sda__0__HSIOM_GPIO, 0
.set EZI2C_Flex_sda__0__HSIOM_I2C, 14
.set EZI2C_Flex_sda__0__HSIOM_I2C_SDA, 14
.set EZI2C_Flex_sda__0__HSIOM_MASK, 0x000000F0
.set EZI2C_Flex_sda__0__HSIOM_SHIFT, 4
.set EZI2C_Flex_sda__0__HSIOM_SPI, 15
.set EZI2C_Flex_sda__0__HSIOM_SPI_MISO, 15
.set EZI2C_Flex_sda__0__HSIOM_UART, 9
.set EZI2C_Flex_sda__0__HSIOM_UART_TX, 9
.set EZI2C_Flex_sda__0__INTCFG, CYREG_PRT4_INTCFG
.set EZI2C_Flex_sda__0__INTSTAT, CYREG_PRT4_INTSTAT
.set EZI2C_Flex_sda__0__MASK, 0x02
.set EZI2C_Flex_sda__0__PC, CYREG_PRT4_PC
.set EZI2C_Flex_sda__0__PC2, CYREG_PRT4_PC2
.set EZI2C_Flex_sda__0__PORT, 4
.set EZI2C_Flex_sda__0__PS, CYREG_PRT4_PS
.set EZI2C_Flex_sda__0__SHIFT, 1
.set EZI2C_Flex_sda__DR, CYREG_PRT4_DR
.set EZI2C_Flex_sda__INTCFG, CYREG_PRT4_INTCFG
.set EZI2C_Flex_sda__INTSTAT, CYREG_PRT4_INTSTAT
.set EZI2C_Flex_sda__MASK, 0x02
.set EZI2C_Flex_sda__PC, CYREG_PRT4_PC
.set EZI2C_Flex_sda__PC2, CYREG_PRT4_PC2
.set EZI2C_Flex_sda__PORT, 4
.set EZI2C_Flex_sda__PS, CYREG_PRT4_PS
.set EZI2C_Flex_sda__SHIFT, 1

/* Miscellaneous */
.set CYDEV_BCLK__HFCLK__HZ, 24000000
.set CYDEV_BCLK__HFCLK__KHZ, 24000
.set CYDEV_BCLK__HFCLK__MHZ, 24
.set CYDEV_BCLK__SYSCLK__HZ, 24000000
.set CYDEV_BCLK__SYSCLK__KHZ, 24000
.set CYDEV_BCLK__SYSCLK__MHZ, 24
.set CYDEV_CHIP_DIE_LEOPARD, 1
.set CYDEV_CHIP_DIE_PSOC4A, 26
.set CYDEV_CHIP_DIE_PSOC5LP, 2
.set CYDEV_CHIP_DIE_PSOC5TM, 3
.set CYDEV_CHIP_DIE_TMA4, 4
.set CYDEV_CHIP_DIE_UNKNOWN, 0
.set CYDEV_CHIP_FAMILY_FM0P, 5
.set CYDEV_CHIP_FAMILY_FM3, 6
.set CYDEV_CHIP_FAMILY_FM4, 7
.set CYDEV_CHIP_FAMILY_PSOC3, 1
.set CYDEV_CHIP_FAMILY_PSOC4, 2
.set CYDEV_CHIP_FAMILY_PSOC5, 3
.set CYDEV_CHIP_FAMILY_PSOC6, 4
.set CYDEV_CHIP_FAMILY_UNKNOWN, 0
.set CYDEV_CHIP_FAMILY_USED, CYDEV_CHIP_FAMILY_PSOC4
.set CYDEV_CHIP_JTAG_ID, 0x04A61193
.set CYDEV_CHIP_MEMBER_3A, 1
.set CYDEV_CHIP_MEMBER_4A, 26
.set CYDEV_CHIP_MEMBER_4AA, 25
.set CYDEV_CHIP_MEMBER_4AB, 30
.set CYDEV_CHIP_MEMBER_4AC, 14
.set CYDEV_CHIP_MEMBER_4AD, 15
.set CYDEV_CHIP_MEMBER_4AE, 16
.set CYDEV_CHIP_MEMBER_4D, 20
.set CYDEV_CHIP_MEMBER_4E, 6
.set CYDEV_CHIP_MEMBER_4F, 27
.set CYDEV_CHIP_MEMBER_4G, 4
.set CYDEV_CHIP_MEMBER_4H, 24
.set CYDEV_CHIP_MEMBER_4I, 32
.set CYDEV_CHIP_MEMBER_4J, 21
.set CYDEV_CHIP_MEMBER_4K, 22
.set CYDEV_CHIP_MEMBER_4L, 31
.set CYDEV_CHIP_MEMBER_4M, 29
.set CYDEV_CHIP_MEMBER_4N, 11
.set CYDEV_CHIP_MEMBER_4O, 8
.set CYDEV_CHIP_MEMBER_4P, 28
.set CYDEV_CHIP_MEMBER_4Q, 17
.set CYDEV_CHIP_MEMBER_4R, 9
.set CYDEV_CHIP_MEMBER_4S, 12
.set CYDEV_CHIP_MEMBER_4T, 10
.set CYDEV_CHIP_MEMBER_4U, 5
.set CYDEV_CHIP_MEMBER_4V, 23
.set CYDEV_CHIP_MEMBER_4W, 13
.set CYDEV_CHIP_MEMBER_4X, 7
.set CYDEV_CHIP_MEMBER_4Y, 18
.set CYDEV_CHIP_MEMBER_4Z, 19
.set CYDEV_CHIP_MEMBER_5A, 3
.set CYDEV_CHIP_MEMBER_5B, 2
.set CYDEV_CHIP_MEMBER_6A, 33
.set CYDEV_CHIP_MEMBER_FM3, 37
.set CYDEV_CHIP_MEMBER_FM4, 38
.set CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE1, 34
.set CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE2, 35
.set CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE3, 36
.set CYDEV_CHIP_MEMBER_UNKNOWN, 0
.set CYDEV_CHIP_MEMBER_USED, CYDEV_CHIP_MEMBER_4A
.set CYDEV_CHIP_DIE_EXPECT, CYDEV_CHIP_MEMBER_USED
.set CYDEV_CHIP_DIE_ACTUAL, CYDEV_CHIP_DIE_EXPECT
.set CYDEV_CHIP_REV_LEOPARD_ES1, 0
.set CYDEV_CHIP_REV_LEOPARD_ES2, 1
.set CYDEV_CHIP_REV_LEOPARD_ES3, 3
.set CYDEV_CHIP_REV_LEOPARD_PRODUCTION, 3
.set CYDEV_CHIP_REV_PSOC4A_ES0, 17
.set CYDEV_CHIP_REV_PSOC4A_PRODUCTION, 17
.set CYDEV_CHIP_REV_PSOC5LP_ES0, 0
.set CYDEV_CHIP_REV_PSOC5LP_PRODUCTION, 0
.set CYDEV_CHIP_REV_PSOC5TM_ES0, 0
.set CYDEV_CHIP_REV_PSOC5TM_ES1, 1
.set CYDEV_CHIP_REV_PSOC5TM_PRODUCTION, 1
.set CYDEV_CHIP_REV_TMA4_ES, 17
.set CYDEV_CHIP_REV_TMA4_ES2, 33
.set CYDEV_CHIP_REV_TMA4_PRODUCTION, 17
.set CYDEV_CHIP_REVISION_3A_ES1, 0
.set CYDEV_CHIP_REVISION_3A_ES2, 1
.set CYDEV_CHIP_REVISION_3A_ES3, 3
.set CYDEV_CHIP_REVISION_3A_PRODUCTION, 3
.set CYDEV_CHIP_REVISION_4A_ES0, 17
.set CYDEV_CHIP_REVISION_4A_PRODUCTION, 17
.set CYDEV_CHIP_REVISION_4AA_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4AB_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4AC_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4AD_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4AE_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4D_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4E_CCG2_NO_USBPD, 0
.set CYDEV_CHIP_REVISION_4E_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4F_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4F_PRODUCTION_256DMA, 0
.set CYDEV_CHIP_REVISION_4F_PRODUCTION_256K, 0
.set CYDEV_CHIP_REVISION_4G_ES, 17
.set CYDEV_CHIP_REVISION_4G_ES2, 33
.set CYDEV_CHIP_REVISION_4G_PRODUCTION, 17
.set CYDEV_CHIP_REVISION_4H_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4I_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4J_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4K_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4L_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4M_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4N_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4O_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4P_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4Q_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4R_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4S_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4T_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4U_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4V_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4W_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4X_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4Y_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_4Z_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_5A_ES0, 0
.set CYDEV_CHIP_REVISION_5A_ES1, 1
.set CYDEV_CHIP_REVISION_5A_PRODUCTION, 1
.set CYDEV_CHIP_REVISION_5B_ES0, 0
.set CYDEV_CHIP_REVISION_5B_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_6A_ES, 17
.set CYDEV_CHIP_REVISION_6A_NO_UDB, 33
.set CYDEV_CHIP_REVISION_6A_PRODUCTION, 33
.set CYDEV_CHIP_REVISION_FM3_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_FM4_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_PDL_FM0P_TYPE1_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_PDL_FM0P_TYPE2_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_PDL_FM0P_TYPE3_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_USED, CYDEV_CHIP_REVISION_4A_PRODUCTION
.set CYDEV_CHIP_REV_EXPECT, CYDEV_CHIP_REVISION_USED
.set CYDEV_CONFIG_READ_ACCELERATOR, 1
.set CYDEV_CONFIG_UNUSED_IO_AllowButWarn, 0
.set CYDEV_CONFIG_UNUSED_IO_AllowWithInfo, 1
.set CYDEV_CONFIG_UNUSED_IO_Disallowed, 2
.set CYDEV_CONFIG_UNUSED_IO, CYDEV_CONFIG_UNUSED_IO_Disallowed
.set CYDEV_CONFIGURATION_COMPRESSED, 1
.set CYDEV_CONFIGURATION_MODE_COMPRESSED, 0
.set CYDEV_CONFIGURATION_MODE, CYDEV_CONFIGURATION_MODE_COMPRESSED
.set CYDEV_CONFIGURATION_MODE_DMA, 2
.set CYDEV_CONFIGURATION_MODE_UNCOMPRESSED, 1
.set CYDEV_DEBUG_PROTECT_KILL, 4
.set CYDEV_DEBUG_PROTECT_OPEN, 1
.set CYDEV_DEBUG_PROTECT, CYDEV_DEBUG_PROTECT_OPEN
.set CYDEV_DEBUG_PROTECT_PROTECTED, 2
.set CYDEV_DEBUGGING_DPS_Disable, 3
.set CYDEV_DEBUGGING_DPS_SWD, 2
.set CYDEV_DEBUGGING_DPS, CYDEV_DEBUGGING_DPS_SWD
.set CYDEV_DEBUGGING_ENABLE, 1
.set CYDEV_DFT_SELECT_CLK0, 1
.set CYDEV_DFT_SELECT_CLK1, 2
.set CYDEV_HEAP_SIZE, 0x80
.set CYDEV_IMO_TRIMMED_BY_USB, 0
.set CYDEV_IMO_TRIMMED_BY_WCO, 0
.set CYDEV_IS_EXPORTING_CODE, 0
.set CYDEV_IS_IMPORTING_CODE, 0
.set CYDEV_PROJ_TYPE, 0
.set CYDEV_PROJ_TYPE_BOOTLOADER, 1
.set CYDEV_PROJ_TYPE_LAUNCHER, 5
.set CYDEV_PROJ_TYPE_LOADABLE, 2
.set CYDEV_PROJ_TYPE_LOADABLEANDBOOTLOADER, 4
.set CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER, 3
.set CYDEV_PROJ_TYPE_STANDARD, 0
.set CYDEV_STACK_SIZE, 0x0400
.set CYDEV_USE_BUNDLED_CMSIS, 1
.set CYDEV_VARIABLE_VDDA, 1
.set CYDEV_VDD_MV, 3300
.set CYDEV_WDT_GENERATE_ISR, 1
.set CYIPBLOCK_M0S8_CTBM_VERSION, 0
.set CYIPBLOCK_m0s8cpuss_VERSION, 0
.set CYIPBLOCK_m0s8csd_VERSION, 0
.set CYIPBLOCK_m0s8gpio2_VERSION, 0
.set CYIPBLOCK_m0s8hsiom4a_VERSION, 0
.set CYIPBLOCK_m0s8lcd_VERSION, 0
.set CYIPBLOCK_m0s8lpcomp_VERSION, 0
.set CYIPBLOCK_m0s8pclk_VERSION, 0
.set CYIPBLOCK_m0s8sar_VERSION, 0
.set CYIPBLOCK_m0s8scb_VERSION, 0
.set CYIPBLOCK_m0s8srssv2_VERSION, 1
.set CYIPBLOCK_m0s8tcpwm_VERSION, 0
.set CYIPBLOCK_m0s8udbif_VERSION, 0
.set CYIPBLOCK_S8_GPIO_VERSION, 2
.set CYDEV_BOOTLOADER_ENABLE, 0
.endif
